Bug 13119 - Use XSLT to display tagged titles in the OPAC
Summary: Use XSLT to display tagged titles in the OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13083
Blocks: 13121
  Show dependency treegraph
 
Reported: 2014-10-21 16:17 UTC by Owen Leonard
Modified: 2016-06-21 21:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13119 - Use XSLT to display tagged titles in the OPAC (5.40 KB, patch)
2014-10-21 17:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13119 - Use XSLT to display tagged titles in the OPAC (5.50 KB, patch)
2014-11-01 11:15 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 13119 - Use XSLT to display tagged titles in the OPAC (5.57 KB, patch)
2014-12-19 14:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-10-21 16:17:19 UTC
The list of a logged-in user's tagged titles should provide the same kind of information see in other lists of titles like search results and Lists. If  OPACXSLTResultsDisplay is set to use XSLT the tags page should display title information using XSLT.
Comment 1 Owen Leonard 2014-10-21 17:11:00 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2014-10-28 03:48:20 UTC
Sent this error message when trying to test: 
fatal: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-tags.tt).

Setting to 'patch does not apply'
Comment 3 Owen Leonard 2014-10-28 12:00:20 UTC
(In reply to Aleisha Amohia from comment #2)
> fatal: sha1 information is lacking or useless

That usually means you were missing a dependent patch: Did you apply the patch for Bug 13083 first?
Comment 4 Frédéric Demians 2014-11-01 11:15:49 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-12-19 14:27:05 UTC
Created attachment 34549 [details] [review]
Bug 13119 - Use XSLT to display tagged titles in the OPAC

This patch updates the display of a logged-in user's tagged titles to
use the same XSLT stylesheet used by search results and Lists. This
would make for a more consistent display of information.

Unrelated change: Corrected "My tags" header to read "Your tags,"
consistent with sidebar navigation.

To test you should have multiple titles in your catalog which you have
tagged in the OPAC.

- Set the OPACXSLTResultsDisplay system preference to 'default'
- Log in to the OPAC and view the "your tags" page.
- Confirm that title information is displayed correctly. Compare to
  search results.
- Empty the OPACXSLTResultsDisplay system preference and reload the
  "your tags" page. The display should revert to the old view, showing
  title, subtitle (if any) and author (if any).
- Set the OPACXSLTResultsDisplay to a custom path pointing to a custom
  XSL file and confirm that the list of your tagged titles changes
  accordingly.

Note: A follow-up will add "action" links ("place hold," "add to cart,"
etc) consistent with other pages.

Signed-off-by: Frederic Demians <f.demians@tamil.fr>

Works as described. opac-tag.pl page displays tagged titles the same way as
result & list pages.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Tomás Cohen Arazi 2015-01-04 15:23:24 UTC
Patch pushed to master.

Thanks Owen!